Hamkorlar uchun API › Integratsiyalar Bot fikr-mulohaza chatlar ro‘yxatini olish GET /api/crm/v2/bots_feedbackv2
operationId: botsFeedback.default
Avtorizatsiya api-token + language + role
So‘rov parametrlari branch_id integer
Misol: 8920
Javoblar 200
object
status string majburiy
Qiymatlar: successerror
Misol: success
data object
filters object
branch_id object (FilterSelectInteger)
type string majburiy
Misol: select
option array of object
value integer majburiy
Misol: 8920
name string majburiy
Misol: Green Basket | Kaliningrad
mode string (FilterMode)
Interfeys filtrni qanday ishlashini belgilaydi; oddiy filtrda mode mavjud emas. force_shown — doim ko‘rsatiladi, yashirib bo‘lmaydi. value_required — bo‘limga kirish nuqtasi: doim ko‘rsatiladi, bo‘sh qiymatga ega emas (qiymat tanlanmaguncha ro‘yxat bo‘sh; “barchasi” varianti yo‘q), umumiy tozalash uni tozalamaydi.
Qiymatlar: force_shownvalue_required
Misol: value_required
list array of object
id integer majburiy
Misol: 1
chat_id integer majburiy
Misol: 1851994916
type string majburiy
Chat turi: max, telegram_separated, telegram_combined
Misol: max
pagination object (Pagination)
max_count integer majburiy
Sahifadagi elementlar soni
Misol: 30
page_number integer majburiy
Joriy sahifa raqami; siljish 1000 dan oshmasligi uchun cheklangan
Misol: 1
has_next boolean majburiy
Misol: true
has_previous boolean majburiy
Misol: false
curl PHP JavaScript Python Nusxa olish
curl -X GET 'https://foodsoul.pro/api/crm/v2/bots_feedback' \
-H 'Authorization: Bearer fs_api_YOUR_TOKEN' \
-H 'language: uz' \
-H 'role: partner' <?php
$client = new \GuzzleHttp\Client ();
$response = $client -> request ( 'GET' , 'https://foodsoul.pro/api/crm/v2/bots_feedback' , [
'headers' => [
'Authorization' => 'Bearer fs_api_YOUR_TOKEN' ,
'language' => 'uz' ,
'role' => 'partner' ,
],
]);
$data = json_decode (( string ) $response -> getBody (), true ); const response = await fetch ( "https://foodsoul.pro/api/crm/v2/bots_feedback" , {
method : "GET" ,
headers : {
"Authorization" : "Bearer fs_api_YOUR_TOKEN" ,
"language" : "uz" ,
"role" : "partner"
},
})
const data = await response . json () import requests
response = requests . request (
"GET" ,
"https://foodsoul.pro/api/crm/v2/bots_feedback" ,
headers ={
"Authorization" : "Bearer fs_api_YOUR_TOKEN" ,
"language" : "uz" ,
"role" : "partner" ,
},
)
data = response . json () Javob 200
{
"status" : "success" ,
"data" : {
"filters" : {
"branch_id" : {
"value" : 8920 ,
"type" : "select" ,
"option" : [
{
"value" : 8920 ,
"name" : "Green Basket | Kaliningrad"
}
],
"mode" : "value_required"
}
},
"list" : [
{
"id" : 1 ,
"chat_id" : 1851994916 ,
"type" : "max" ,
"name" : "chat"
}
],
"pagination" : {
"max_count" : 30 ,
"page_number" : 1 ,
"has_next" : true ,
"has_previous" : false
}
}
} So‘rovlar foodsoul.pro ga yuboriladi — bu portalning xosti, boshqasini tanlash mumkin emas.